pro find_dir, dirName, path
    files = findfile()			; try working dir first
    for i = 0, n_elements(files) - 1 do begin
	if (files(i) EQ dirName) then begin
	    path = dirName
	    return
	endif
    endfor

    paths = expand_path(!PATH, /ARRAY)
    get_directory_delimiter, dd
    for i = 0, n_elements(paths) - 1 do begin
	pushd, paths(i)
	files = findfile()
	popd
	for j = 0, n_elements(files) - 1 do begin
	    if (files(j) EQ dirName) then begin
		path = paths(i) + dd + dirName

		    ; remove multiple adjacent delimiters from the string
		multiDelims = dd + dd
		pos = strpos(path, multiDelims)
		while (pos GE 0) do begin
		    path = strmid(path, 0, pos + 1)
		    path = path + strmid(path, pos + 1, strlen(path - 1))
		    pos = strpos(path, multiDelims)
		endwhile

		return
	    endif
	endfor
    endfor

    print, fileName, ' not found.  Stopping.'
    stop
end
