pro find_file, fileName, fullPath
    tryPath = fileName			; try working dir first
    test = findfile(tryPath, COUNT=cnt)
    if (cnt EQ 1) then begin
	fullPath = tryPath
	return
    endif

    paths = expand_path(!PATH, /ARRAY)
    get_directory_delimiter, dirDelim

    for j = 0, n_elements(paths) - 1 do begin
	tryPath = paths(j) + dirDelim + fileName

	    ; remove multiple adjacent delimiters from the string
	multiDelims = dirDelim + dirDelim
	pos = strpos(tryPath, multiDelims)
	while (pos GE 0) do begin
	    tryPath = strmid(tryPath, 0, pos + 1)
	    tryPath = tryPath + strmid(tryPath, pos + 1, strlen(tryPath - 1))
	    pos = strpos(tryPath, multiDelims)
	endwhile

	test = findfile(tryPath, COUNT=cnt)
	if (cnt EQ 1) then begin
	    fullPath = tryPath
	    return
	endif
    endfor

    print, fileName, ' not found.  Stopping.'
    stop
end
