pro make_path, invalidPath, validPath
    get_directory_delimiter, dd

    if (strpos(invalidPath, ':') GT 0) then charToReplace = ':'		$
    else if (strpos(invalidPath, '/') GT 0) then charToReplace = '/'	$
    else if (strpos(invalidPath, '\') GT 0) then charToReplace = '\'	$
    else begin
	print, 'No directory delimiter found in ', invalidPath, '.'
	print, 'Using as is...'
	validPath = invalidPath
	return
    endelse

    validPath = invalidPath
    pos = strpos(validPath, charToReplace)
    while (pos GT 0) do begin
	strput, validPath, dd, pos
	pos = strpos(validPath, charToReplace)
    endwhile
    ;print, 'path = ', validPath
end
